
#include <stdio.h>
#include "ix86be.h"

int main(void) {
  ULONG fs0 = GetRunELF86FSLength();
  APTR  fs4 = GetRunELF86FSSysBase();
  APTR  fs8 = GetRunELF86FSUserData();

  printf("fs0=%08x\n", fs0);
  printf("fs4=%08x\n", fs4);
  printf("fs8=%08x\n", fs8);

  SetRunELF86FSUserData((APTR) 0xdeadc0de);
  
  fs0 = GetRunELF86FSLength();
  fs4 = GetRunELF86FSSysBase();
  fs8 = GetRunELF86FSUserData();
  
  printf("fs0=%08x\n", fs0);
  printf("fs4=%08x\n", fs4);
  printf("fs8=%08x\n", fs8);

  return 0;
}
